> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all web agents for the authenticated user



## OpenAPI

````yaml get /web-agent/my-web-agent
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /web-agent/my-web-agent:
    get:
      tags:
        - Web Agent
      summary: Get all web agents for the authenticated user
      operationId: WebAgentController_myWebAgent
      parameters:
        - name: search
          required: false
          in: query
          description: Search
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: Limit of items per page
          schema:
            type: number
        - name: page
          required: false
          in: query
          description: Page number for pagination
          schema:
            type: number
      responses:
        '200':
          description: Returns a list of web agents
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        agent_id:
                          type: string
                        metadata:
                          type: object
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````